/*
* %Z%%W% %I%
*
===========================================================================
* Licensed Materials - Property of IBM
* "Restricted Materials of IBM"
* (C) Copyright IBM Corp. 2005. All Rights Reserved
*
===========================================================================
*/
package com.ibm.jzos.sample;

import com.ibm.jzos.ByteUtil;
import com.ibm.jzos.ZUtil;

/**
 * Sample program that dumps 500 bytes from the CVT to System.out
 * <p>
 * @see com.ibm.jzos.ZUtil#peekOSMemory(long, int)
 * @see com.ibm.jzos.ZUtil#peekOSMemory(long, byte[])
 * @see com.ibm.jzos.ByteUtil#dumpHex(String, byte[], OutputStream)
 */
public class PeekOSMemory {
	
    public static void main(String[] args) throws Exception {
    	
		byte[] ba = new byte[500];
		long pPSA  = 0L;
		long pCVT  = ZUtil.peekOSMemory(pPSA+16, 4); // get address of CVT from PSA+16
		ZUtil.peekOSMemory(pCVT, ba);           	// get bytes from the CVT
		ByteUtil.dumpHex("CVT:", ba, System.out); 	// dump the bytes in hex
    }
}
