/*
* %Z%%W% %I%
*
===========================================================================
* Licensed Materials - Property of IBM
* "Restricted Materials of IBM"
* (C) Copyright IBM Corp. 2005. All Rights Reserved
*
===========================================================================
*/
package com.ibm.jzos.sample;

import java.util.Iterator;
import java.util.Map;
import java.util.Properties;

import com.ibm.jzos.ZUtil;


/**
 * Simple class used to display Java system properties and selected system environment variables
 * 
 * @see ZUtil#getEnv(String)
 */
public class ShowJavaProperties {
    
    public static void main(String[] args) {
    	
    	Properties props = System.getProperties();
    	System.out.println("System Properties:\n");
    	for (Iterator i=props.entrySet().iterator(); i.hasNext();) {
    		Map.Entry e = (Map.Entry)i.next();
    		System.out.println(e.getKey() + " -> " + e.getValue());
    	}
    	System.out.println("\nEnvironment:\n");
    	props = ZUtil.getEnvironment();
    	for (Iterator i=props.entrySet().iterator(); i.hasNext();) {
    		Map.Entry e = (Map.Entry)i.next();
    		System.out.println(e.getKey() + "=" + e.getValue());
    	}
    }

}
