/*
* %Z%%W% %I%
*
===========================================================================
* Licensed Materials - Property of IBM
* "Restricted Materials of IBM"
* (C) Copyright IBM Corp. 2005. All Rights Reserved
*
===========================================================================
*/
package com.ibm.jzos.sample;

import com.ibm.jzos.ZFile;
import com.ibm.jzos.ZUtil;

/**
 * Sample program that prints an EBCDIC MVS dataset pointed to by //INPUT DD
 * to System.out (stdout).
 * <p>
 * The dataset is opened using the ZFile class in record mode.
 * Note that "noseek" is used so that the file is opened in sequential 
 * mode, which dramatically increases I/O performance.
 * 
 * @see com.ibm.jzos.ZFile
 */
public class ZFilePrint {
    public static void main(String[] args) throws Exception {
        ZFile zFile = new ZFile("//DD:INPUT", "rb,type=record,noseek");
        try {
            byte[] recBuf = new byte[zFile.getLrecl()];
            int nRead;
            String encoding = ZUtil.getDefaultPlatformEncoding();
            while((nRead = zFile.read(recBuf)) >= 0) {
            	String line = new String(recBuf,0,nRead, encoding);
                System.out.println(line);
            };
        } finally {
           zFile.close();
        }
    }
}
